LINUX.ORG.RU

Как можно поставить python-dev на свободной оси?

 , ,


0

1

Доброго времени! Установить python-dev на Трискель (Убунту) не получается, и без Python.h не ставится пакет из гитхаб.


# ./scryptmodule.c:1:20: fatal error: Python.h: Нет такого файла или каталога
compilation terminated.
error: Setup script exited with error: command 'x86_64-linux-gnu-gcc' failed with exit status 1



# sudo apt-get install python-dev
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 python-dev : Зависит: python (= 2.7.11-1) но 2.7.12-1~16.04 будет установлен
              Зависит: libpython-dev (= 2.7.11-1) но он не будет установлен
              Зависит: python2.7-dev (>= 2.7.11-1~) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

# python --version
Python 2.7.12

# lsb_release -a
No LSB modules are available.
Distributor ID:	Trisquel
Description:	Trisquel GNU/Linux 8.0, Flidas
Release:	8.0
Codename:	flidas


# cat /etc/apt/sources.list
# deb cdrom:[Trisquel 8.0 _flidas_ - Release amd64 (20180417)]/ flidas main

# Trisquel repositories for supported software and updates
deb http://mirrors.serverhost.ro/trisquel/packages flidas main
deb-src http://mirrors.serverhost.ro/trisquel/packages flidas main
deb http://mirrors.serverhost.ro/trisquel/packages flidas-security main
deb-src http://mirrors.serverhost.ro/trisquel/packages flidas-security main
# deb http://mirrors.serverhost.ro/trisquel/packages flidas-backports main
# deb-src http://mirrors.serverhost.ro/trisquel/packages flidas-backports main

Установка `pip install devtools dev` не помогла - Python.h все равно не виден.


Быстрее скачать питончик, распаковать, написать

./configure --prefix=/usr/local --with-threads --enable-ipv6 --enable-shared

make -j8
make install DESTDIR=/tmp/python

Ну и далее опакетить в .deb из /tmp/python.

И будет у тебя свежайший питон для разработки.

menangen ★★★★★ ()
Ответ на: комментарий от Jopich1

Sunderland93,

# apt-get install libpython-dev
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libpython-dev : Зависит: libpython2.7-dev (>= 2.7.11-1~) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

# apt-get update
Сущ:1 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InRelease    
Сущ:2 http://mirrors.serverhost.ro/trisquel/packages flidas InRelease          
Сущ:3 http://mirrors.serverhost.ro/trisquel/packages flidas-security InRelease
Чтение списков пакетов… Готово         
znavko ()
Ответ на: комментарий от menangen

ну как бы configure make make install - все это прописывается правилах сборки «правильного» deb файла. Так что нужно не исходник скачивать а скорее src deb для данного дистрибутива.

А то что ты написал - это make / make install

Jopich1 ()